picard.sam.util

## Interface PhysicalLocation

- All Known Implementing Classes:
    PhysicalLocationForMateCigar, PhysicalLocationInt, PhysicalLocationShort, ReadEnds, ReadEndsForMarkDuplicates, ReadEndsForMarkDuplicatesWithBarcodes, ReadEndsForMateCigar

      public interface PhysicalLocation

  Small interface that provides access to the physical location information about a cluster. All values should be defaulted to -1 if unavailable. ReadGroup and Tile should only allow non-zero positive integers, x and y coordinates may be negative.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getLibraryId()`
    `short` | `getReadGroup()`
    `short` | `getTile()`
    `int` | `getX()`
    `int` | `getY()`
    `default boolean` | `hasLocation()` Default implementation of a method to check whether real location data has been set.
    `void` | `setLibraryId(short libraryId)`
    `void` | `setReadGroup(short rg)`
    `void` | `setTile(short tile)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`

- - ### Field Detail

    - #### NO_VALUE

          static final int NO_VALUE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getReadGroup

          short getReadGroup()

    - #### setReadGroup

          void setReadGroup(short rg)

    - #### getTile

          short getTile()

    - #### setTile

          void setTile(short tile)

    - #### getX

          int getX()

    - #### setX

          void setX(int x)

    - #### getY

          int getY()

    - #### setY

          void setY(int y)

    - #### getLibraryId

          short getLibraryId()

    - #### setLibraryId

          void setLibraryId(short libraryId)

    - #### hasLocation

          default boolean hasLocation()

      Default implementation of a method to check whether real location data has been set.